# Uses of Class
org.apache.lucene.monitor.MultiMatchingQueries

- ## Uses of MultiMatchingQueries in org.apache.lucene.monitor

  Fields in org.apache.lucene.monitor declared as MultiMatchingQueries
  Modifier and Type
  Field
  Description
  `final MultiMatchingQueries<T>`
  PresearcherMatches.`matcher`
  The wrapped Matches
  Methods in org.apache.lucene.monitor that return MultiMatchingQueries
  Modifier and Type
  Method
  Description
  `final MultiMatchingQueries<T>`
  CandidateMatcher.`finish(long buildTime, int queryCount)`
  `<T extends QueryMatch>
  MultiMatchingQueries<T>`
  Monitor.`match(Document[] docs, MatcherFactory<T> factory)`
  Match an array of `Document`s against the queryindex, calling a `CandidateMatcher` produced by the supplied `MatcherFactory` for each possible matching query.
  Constructors in org.apache.lucene.monitor with parameters of type MultiMatchingQueries
  Modifier
  Constructor
  Description
  ``
  `PresearcherMatches(Map<String,StringBuilder> matchingTerms, MultiMatchingQueries<T> matcher)`
  Builds a new PresearcherMatches